/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.core.dom;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

/**
 * XLIFF の trans-unit、alt-trans 共通要素です。
 * @author KASHIHARA Shinji
 */
public abstract class TransBaseDelegate extends ElementDelegate {

	/**
	 * コンストラクター。
	 * @param element 要素
	 */
	public TransBaseDelegate(Element element) {
		super(element);
	}

	public String getSource() {
		return getValue("source"); //$NON-NLS-1$
	}

	public String getTarget() {
		return getValue("target"); //$NON-NLS-1$
	}

	public boolean hasSource() {
		return getValue("source", null) != null; //$NON-NLS-1$
	}

	public boolean hasTarget() {
		return getValue("target", null) != null; //$NON-NLS-1$
	}

	public Node getSourceNode() {
		return getChildElement("source"); //$NON-NLS-1$
	}

	public Node getTargetNode() {
		return getChildElement("target"); //$NON-NLS-1$
	}
}
